#include<AccelStepper.h>
#define HALFSTEP 8   
// Определение пинов для управления двигателем
#define motorPin1  3 // IN1 на 1-м драйвере ULN2003
#define motorPin2  4 // IN2 на 1-м драйвере ULN2003
#define motorPin3  5// IN3 на 1-м драйвере ULN2003
#define motorPin4  6 // IN4 на 1-м драйвере ULN2003
// для использования AccelStepper с 28BYJ-48
AccelStepper stepper(HALFSTEP, motorPin1, motorPin3, motorPin2, motorPin4);
 // Инициализируемся в последовательности (метод управления, IN1, IN3, IN2, IN4)
// stepper1 - это произвольно придуманное нами имя для двигателя

int motor=30;
unsigned long myScaleMillisGO = 0;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);//активируем прием сообщения
  
stepper.setMaxSpeed(800.0);// Скорость вращения вала двигателя.
stepper.setAcceleration(800.0);// Темп разгона-торможения двигателя.
stepper.setSpeed(800);// 
pinMode (12, OUTPUT);  // клапан воды pin 12
}

void loop() {
 
if (Serial.available() > 0) {// определяем значение реальной мощности
motor = Serial.read();
}

         // управление мотором
if (motor == 1){
stepper.moveTo(30);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
  }
 }

if (motor == 2){
stepper.moveTo(60);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}

if (motor == 3){
stepper.moveTo(250);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}

if (motor == 4){
stepper.moveTo(-30);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}

if (motor == 5){
stepper.moveTo(-100);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}
if (motor == 7){
stepper.moveTo(150);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}

if (motor == 8){
stepper.moveTo(-200);
stepper.run();
if(stepper.distanceToGo()==0){
stepper.setCurrentPosition(0);//_________________________________________________________________
motor = 30;
}
}


if (motor == 6){
digitalWrite(12, HIGH);
}
if (motor != 6){
digitalWrite(12, LOW);
}

    

//if (motor == 10){
//stepper.moveTo(-10000);
//stepper.run();
//if(stepper.distanceToGo()==0) motor = 11;
//}
//if (motor == 11){
//stepper.moveTo(1000);
//stepper.run();
//if(stepper.distanceToGo()==0) motor = 30;
//}
if (motor == 30){
stepper.disableOutputs();
stepper.stop();
}
Serial.println(motor);
}
